Bug 817039 - Rebuild does not continue after reboot.
Rebuild does not continue after reboot.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 09:47 EDT by Jes Sorensen
Modified: 2012-07-11 19:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 22:49:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jes Sorensen 2012-04-27 09:47:11 EDT
Description of problem:
Rebuild does not continue after reboot. After reboot RAID volume is in normal
state, but rebuild did not finished and data is inconsistent (out-of-sync).

Version-Release number of selected component (if applicable):
mdadm 3.2.3-6.el6 and 3.2.3-7.el6

How reproducible:
Always

Steps to Reproduce:
1. Create IMSM container:
   # mdadm -C /dev/md/imsm -amd -e imsm -n 2 /dev/sdb /dev/sdc -R
2. Create RAID1 (of size at least 20G):
   # mdadm -C /dev/md/raid -amd -l1 -n 2 /dev/sdb /dev/sdc -R -f
   # mdadm --wait /dev/md/raid
3. Add spare disk to the container:
   # mdadm --add /dev/md127 /dev/sdd
4. Turn off HDD /dev/sdb
5. Wait for start of rebuild
6. Save config file:
   # mdadm -Ebs > /etc/mdadm.conf
7. Reboot system
8. Enter OROM and check whether the volume "raid" is in Rebuild state 
OR
9. Boot system and check whether rebuild process is going on.

Actual results:
In OROM the volume is in Normal state and rebuild seems to be finished.
After system's start-up RAID volume is in auto-read-only state and metadata is
in Dirty state. Rebuild seems to be finished but it is not. Data is
inconsistent (out-of-sync).

Expected results:
Rebuild continues and correctly finishes.

Additional info:
The bug occured after applying the patch "mdadm-2.5.2-static.patch" from
mdadm-3.2.3-6.el6.x86_64.rpm, which changes the path of mdmon's pid file
(MDMON_DIR) in Makefile.



The patch has been accepted by Neil and is upstream now:
http://neil.brown.name/git?p=mdadm;a=commitdiff;h=7ce05701813496571e1f7f79c726aa6e4868bd5f
Comment 1 Fedora Update System 2012-05-02 06:10:03 EDT
mdadm-3.2.3-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc17
Comment 2 Fedora Update System 2012-05-02 06:16:05 EDT
mdadm-3.2.3-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc16
Comment 3 Fedora Update System 2012-05-02 06:19:52 EDT
mdadm-3.2.3-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-9.fc15
Comment 4 Fedora Update System 2012-05-02 16:34:56 EDT
Package mdadm-3.2.3-9.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.3-9.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7105/mdadm-3.2.3-9.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-10 10:49:31 EDT
mdadm-3.2.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc17
Comment 6 Fedora Update System 2012-05-10 10:52:04 EDT
mdadm-3.2.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc16
Comment 7 Fedora Update System 2012-05-10 10:54:43 EDT
mdadm-3.2.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-2.fc15
Comment 8 Fedora Update System 2012-05-15 12:36:51 EDT
mdadm-3.2.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc17
Comment 9 Fedora Update System 2012-05-15 12:43:13 EDT
mdadm-3.2.4-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc16
Comment 10 Fedora Update System 2012-05-15 12:47:59 EDT
mdadm-3.2.4-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.4-3.fc15
Comment 11 Fedora Update System 2012-05-21 11:09:09 EDT
mdadm-3.2.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc17
Comment 12 Fedora Update System 2012-05-21 11:15:20 EDT
mdadm-3.2.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc16
Comment 13 Fedora Update System 2012-05-21 11:21:01 EDT
mdadm-3.2.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-1.fc15
Comment 14 Fedora Update System 2012-06-06 22:49:35 EDT
mdadm-3.2.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-06-06 22:52:42 EDT
mdadm-3.2.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-06-26 03:17:26 EDT
mdadm-3.2.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-3.fc17
Comment 17 Fedora Update System 2012-07-11 19:54:48 EDT
mdadm-3.2.5-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.